//
//  ViewController.m
//  TestDemo
//
//  Created by erhu on 2020/11/6.
//  Copyright © 2020 erhu. All rights reserved.
//

#import "ViewController.h"
#import <QuickPay/QuickPay.h>
@interface ViewController ()
@property(nonatomic,strong)BFMobileQuickPayH5SDK *sdkManager;
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
}

#pragma mark -BFMobileQuickPaySDK
- (BFMobileQuickPayH5SDK *)sdkManager
{
    return [BFMobileQuickPayH5SDK shared];
}

#pragma mark -Actions
- (IBAction)openSDK:(id)sender {
    /**
     * 来自controller，用来做push或present
     */
    self.sdkManager.fromController = self;
    /**
     * 打开SDK效果，是否使用Push（PUSH方式需要fromController包含navigationController）
     * 默认为YES
     */
    self.sdkManager.useNavigationPush = NO;
    [self.sdkManager startFunctionWithUrl:@"https://bhtuat.mandao.com/v3/#/wallet/9a4a34bac6cb42dbb494e0d70b84cd7d/WALLET_PAY"];
    
}

@end
